Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479971 - Use of uninitialized value in chown at /usr/bin/rhn-generate-pem.pl line 74.
Summary: Use of uninitialized value in chown at /usr/bin/rhn-generate-pem.pl line 74.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Installation
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-14 11:00 UTC by Miroslav Suchý
Modified: 2009-01-22 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:43 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2009-01-14 11:00:29 UTC
Description of problem:
During installation I got this error:
spacewalk-setup --disconnected
...
** SSL: Deploying CA certificate.
** SSL: Generating server certificate.
** SSL: Storing SSL certificates.
Use of uninitialized value in chown at /usr/bin/rhn-generate-pem.pl line 74.
Use of uninitialized value in chown at /usr/bin/rhn-generate-pem.pl line 74.
* Deploying configuration files.

The problem seems to be in this lines:
 my ($uid, $gid) = lookup_user_ids('jabberd');
 chown($uid, $gid, $out_file);
and in the fact that jabberd is not installed by default.


Version-Release number of selected component (if applicable):
Spacewalk from nighlty repo.

Additional info:
# grep jabberd /etc/passwd
# rpm -qi jabberd
package jabberd is not installed

Comment 1 Jan Pazdziora 2009-01-14 11:11:23 UTC
Fixed in 8097ccbf0179f8691a8caa3a028e45ee861b33a5.

Comment 2 Jan Pazdziora 2009-01-16 13:58:56 UTC
Actually, the fix made it to spacewalk-setup-0.4.22-1, and Spacewalk 0.4 shipped with spacewalk-setup-0.4.23-1.el5, to moving to space04.

Comment 3 Michael Mráka 2009-01-22 09:56:32 UTC
Verified. spacewalk-setup-0.5.2-1

...
* Creating SSL certificates.
** SSL: Generating CA certificate.
** SSL: Deploying CA certificate.
** SSL: Generating server certificate.
** SSL: Storing SSL certificates.
* Deploying configuration files.
* Update configuration in database.
* Setting up Cobbler..
* Restarting services.
Installation complete.


# grep jabberd /etc/passwd
jabberd:x:100:101:Jabber Daemon:/:/bin/false
# rpm -q jabberd
jabberd-2.0s10-3.42.el5.x86_64


Note You need to log in before you can comment on or make changes to this bug.